> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Save closings

> Save new (or update existing) set of closings



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=5&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox post /v5/banks/closings
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Business & Client Management
  - name: Invoicing
  - name: Revenue
  - name: Investments
  - name: Payouts
  - name: Bills
  - name: Expenses
  - name: Payroll
  - name: Reports
  - name: Accounting
  - name: Mileage
  - name: Taxes
  - name: Time Tracking
  - name: Imports
  - name: Files
  - name: Accountant
  - name: Audit Trail
  - name: Support
  - name: Tax Engine Express
  - name: Interview Endpoint
  - name: Ledgering
  - name: Configuration
  - name: Templates
paths:
  /v5/banks/closings:
    post:
      tags:
        - Banks
      summary: Save closings
      description: Save new (or update existing) set of closings
      operationId: postClosings
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/TRAX_POST_BODYClosingDTOList'
        required: true
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FormRetVal'
      security:
        - accessTokenSecurity: []
components:
  schemas:
    TRAX_POST_BODYClosingDTOList:
      properties:
        closings:
          type: array
          items:
            $ref: '#/components/schemas/ClosingDTO'
    FormRetVal:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed
          enum:
            - SUCCESS
            - FAILURE
        errors:
          $ref: '#/components/schemas/ValidationRetVal'
        id:
          type: string
          description: Id of the entity being acted upon
        webhook:
          $ref: '#/components/schemas/EntityUpdateEvent'
      description: Object containing details about result of the action performed
    ClosingDTO:
      required:
        - beginDate
        - endBalance
        - endDate
        - period
        - status
      type: object
      properties:
        id:
          type: string
          description: Id of the closing, required when updating an existing closing
        status:
          type: string
          description: Status of the closing
          enum:
            - IN_PROGRESS
            - INACTIVE
            - DELETED
            - COMPLETED
            - DISCREPANCY
            - PENDING
            - STAGED
        bankAccountId:
          type: integer
          description: Id of the user's bank account
          format: int64
        period:
          type: string
          description: Period of the closing
          readOnly: true
          enum:
            - YEAR_END_CLOSING
            - MONTH_END_CLOSING
        beginDate:
          type: string
          description: Begin date of the closing
          format: date-time
        endDate:
          type: string
          description: End date of the closing
          format: date-time
        endBalance:
          type: number
          description: End balance of the closing
        completedDate:
          type: string
          description: Date the closing was completed
          format: date-time
          readOnly: true
        statementUrl:
          type: string
          description: URL at which the bank statement is located
        createdByUserId:
          type: string
          description: >-
            Id of the user (from the Tight Partner's DB)  that created this
            closing
          readOnly: true
        closedByUserId:
          type: string
          description: >-
            Id of the user (from the Tight Partner's DB) that completed this
            closing
          readOnly: true
    ValidationRetVal:
      type: object
      properties:
        fieldErrors:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/ValidationError'
          description: Map of field-level errors, often originating from validation errors
        globalErrors:
          type: array
          description: List of higher-level errors
          items:
            $ref: '#/components/schemas/ValidationError'
      description: Error object containing details errors incurred, if any
    EntityUpdateEvent:
      type: object
      properties:
        userId:
          type: string
        accountantUserId:
          type: string
        type:
          type: string
          enum:
            - ENTITY_UPDATE
            - LIFECYCLE_EVENT
            - LIFECYCLE
    ValidationError:
      type: object
      properties:
        type:
          type: string
          description: A broad categorization of the error
          enum:
            - DUPLICATE
            - REQUIRED
            - DELETE
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - GENERAL
            - INVALID_FORMAT
        errorMessage:
          type: string
          description: Human-friendly message describing this error
        message:
          type: string
          writeOnly: true
          enum:
            - DUPLICATE
            - REQUIRED
            - DELETE
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - GENERAL
            - INVALID_FORMAT
            - INVALID_MAPPING
      description: List of higher-level errors
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````